Skip to main content
GET
/
v1
/
client
/
distribution_history
Get distribution history
curl --request GET \
  --url https://api.orderly.org/v1/client/distribution_history \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "rows": [
      {
        "id": 12345,
        "token": "USDC",
        "type": "REFERRAL_REBATE",
        "amount": 12.12,
        "status": "COMPLETED",
        "created_time": 1703511545867,
        "updated_time": 1703511545867
      }
    ],
    "meta": {
      "records_per_page": 25,
      "current_page": 1,
      "total": 50
    }
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

status
string

One of CREATED/SPLIT/COMPLETED

type
string

One of BROKER_FEE/REFEREE_REBATE/REFERRER_REBATE

start_t
string
end_t
string
page
integer

start from 1

size
integer

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989